/* Project MULTIVOL -- input/output from/to multiple volumes with support of
 *                     external scripts
 * multivol.h -- Main definitions.
 * Marc SCHAEFER <schaefer@alphanet.ch>
 * Creation: 08/02/97
 * Update:   08/02/97
 * V2.0 PV001
 * NOTES
 * BUGS
 * TODO
 * COPYING-POLICY
 *    GPL
 * BASED-ON
 *    No previous work. First version (V2.0 is the project version).
 * $Id: multivol.h,v 1.2 1998/10/21 09:53:17 schaefer Exp $
 */

#ifndef MULTIVOL_H
#define MULTIVOL_H

#define BOOL char
#define TRUE -1
#define FALSE 0

#ifdef LINUX
typedef int fd_t;
#endif

#define MULTIVOL_DEFAULT_BLOCK_SIZE 512
#define MAXBUFLEN 1024 /* Used for system() command construction.
                        * We DO check bounds.
                        */

/* NOTES
 *    - Signed because of -1 from read (??)
 */
typedef signed long multivol_block_size_t;
typedef struct {
   unsigned char *input_file;
   unsigned char *output_file;
   unsigned char *tape_init_script;
   unsigned char *tape_deinit_script;
   unsigned char *medium_changer_script;
   multivol_block_size_t block_size;
   unsigned long number_of_tapes;
   BOOL to_tape; /* TRUE if EOF on output must be interpreted as a tape
                  * change. FALSE if it is on input.
                  */
   BOOL ignore_error; /* Ignore error on ``to_tape'' device and use this
                       * as EOF.
                       */
} multivol_environment_t;

typedef struct {
   unsigned long current_tape;
} multivol_context_t;

#endif
