#! /bin/sh
# Project MULTIVOL -- input/output from/to multiple volumes with support of
#                     external scripts
# test.sh -- Tests software
# Marc SCHAEFER <schaefer@alphanet.ch>
# Creation: 21/10/98
# Update:   21/10/98
# V2.0 PV001
# DESCRIPTION
#    This script tests the multivol software
# RESULT
#    0 ok
#    1 error
#    2 fatal error (parameters)
# NOTES
# BUGS
# TODO
# COPYING-POLICY
#   GPL
# BASED-ON
#   No previous work. First version (V2.0 is the project version).
# MODIFICATION-HISTORY
#    21/10/98  schaefer  Added error checking and bs 32768
# $Id: test.sh,v 1.2 1998/10/21 10:25:41 schaefer Exp $

(while :
do
   dd if=/dev/hda
   if [ $? != 0 ]; then
      exit 1
   fi 
done) | ./multivol --medium-changer-script=scripts/medium_changer.sh --output-file=/dev/st0 --block-size=32768
if [ $? != 0 ]; then
   exit 1
fi 
